package com.tmax.openframe.variable.group;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.util.*;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public @AllArgsConstructor @NoArgsConstructor @Builder(builderClassName = "builder") class OIVPBROS_OIVPM02O {
    public @Getter @Builder.Default String FILLER28 = StringUtils.repeat(' ',
            12);
    public @Getter @Builder.Default String FILLER29 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String DATEO = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER30 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String TERMO = StringUtils.repeat(' ', 4);
    public @Getter @Builder.Default String FILLER31 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String TIMEO = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER32 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String IDEN1O = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER33 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String NAME1O = StringUtils.repeat(' ', 10);
    public @Getter @Builder.Default String FILLER34 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String DEPT1O = StringUtils.repeat(' ', 15);
    public @Getter @Builder.Default String FILLER35 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String PHON1O = StringUtils.repeat(' ', 15);
    public @Getter @Builder.Default String FILLER36 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String IDEN2O = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER37 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String NAME2O = StringUtils.repeat(' ', 10);
    public @Getter @Builder.Default String FILLER38 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String DEPT2O = StringUtils.repeat(' ', 15);
    public @Getter @Builder.Default String FILLER39 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String PHON2O = StringUtils.repeat(' ', 15);
    public @Getter @Builder.Default String FILLER40 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String IDEN3O = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER41 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String NAME3O = StringUtils.repeat(' ', 10);
    public @Getter @Builder.Default String FILLER42 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String DEPT3O = StringUtils.repeat(' ', 15);
    public @Getter @Builder.Default String FILLER43 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String PHON3O = StringUtils.repeat(' ', 15);
    public @Getter @Builder.Default String FILLER44 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String IDEN4O = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER45 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String NAME4O = StringUtils.repeat(' ', 10);
    public @Getter @Builder.Default String FILLER46 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String DEPT4O = StringUtils.repeat(' ', 15);
    public @Getter @Builder.Default String FILLER47 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String PHON4O = StringUtils.repeat(' ', 15);
    public @Getter @Builder.Default String FILLER48 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String IDEN5O = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER49 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String NAME5O = StringUtils.repeat(' ', 10);
    public @Getter @Builder.Default String FILLER50 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String DEPT5O = StringUtils.repeat(' ', 15);
    public @Getter @Builder.Default String FILLER51 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String PHON5O = StringUtils.repeat(' ', 15);
    public @Getter @Builder.Default String FILLER52 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String BIDXO = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER53 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String FIDXO = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER54 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String MSGO = StringUtils.repeat(' ', 76);

    @Override
    public String toString() {
        return FILLER28 + FILLER29 + getDATEO() + FILLER30 + getTERMO()
                + FILLER31 + getTIMEO() + FILLER32 + getIDEN1O() + FILLER33
                + getNAME1O() + FILLER34 + getDEPT1O() + FILLER35 + getPHON1O()
                + FILLER36 + getIDEN2O() + FILLER37 + getNAME2O() + FILLER38
                + getDEPT2O() + FILLER39 + getPHON2O() + FILLER40 + getIDEN3O()
                + FILLER41 + getNAME3O() + FILLER42 + getDEPT3O() + FILLER43
                + getPHON3O() + FILLER44 + getIDEN4O() + FILLER45 + getNAME4O()
                + FILLER46 + getDEPT4O() + FILLER47 + getPHON4O() + FILLER48
                + getIDEN5O() + FILLER49 + getNAME5O() + FILLER50 + getDEPT5O()
                + FILLER51 + getPHON5O() + FILLER52 + getBIDXO() + FILLER53
                + getFIDXO() + FILLER54 + getMSGO();
    }
}
